{% load static %}
{% load widget_tweaks %}

<div class="nav nav-tabs" id="nav-tab" role="tablist">
  <a class="nav-item nav-link active" id="nav-sequencing-selection" data-toggle="tab" href="#sequencing-selection" role="tab" aria-controls="sequencing-selection" aria-selected="true">Sequencing file selection</a>
  <a class="nav-item nav-link disabled" id="nav-link-tubes-libraries" data-toggle="tab" href="#link-tubes-libraries" role="tab" aria-controls="link-tubes-libraries" aria-selected="false">Link tubes and libraries</a>
</div>
<div class="tab-content" id="nav-tabContent">
  <div class="tab-pane fade show active" id="sequencing-selection" role="tabpanel" aria-labelledby="nav-sequencing-selection">
    <div id="accordion">
      <div class="card">
        <div class="card-header" data-toggle="collapse" data-target="#sequencingSelection">
          Select sequencing information file
        </div>
        <div id="sequencingSelection" class="collapse show" data-parent="#accordion">
          <div class="card-body">
            {%include "parts/sequencing-file-selection.html" %}
          </div>
        </div>
      </div>
      <div class="card">
        <div class="card-header" data-toggle="collapse" data-target="#sequencingImport">
          Import sequencing information file
        </div>
        <div id="sequencingImport" class="collapse" data-parent="#accordion">
          <div class="card-body">
            <form id="addSequencingForm" method="POST" action="" enctype="multipart/form-data">
              {% csrf_token %}
              <div class="form-group row">
                <div class="col-sm-9">
                  {% render_field sequencing_form.sequencingFile id="sequencingFile" class="form-control-file form-control" autocomplete="off"%}
                  <div class="invalid-feedback" id="check-sequencing-modal-error">
                  </div>
                </div>
                <div class="col-sm-3 align-self-center text-center">
                  <button id="check-sequencing" type="button" form="addSequencingForm" class="btn btn-success" data-loading-text=" <i class='fa fa-spinner fa-spin'></i> Check">Check</button>
                </div>
              </div>
              <div class="form-group row text-center">
                <div class="col-sm-12">
                  <button id="import-sequencing" type="submit" form="addSequencingForm" class="btn btn-success" data-loading-text=" <i class='fa fa-spinner fa-spin'></i> Import">Import</button>
                </div>
              </div>
            </form>
            <div id="checking-sequencing-message">
              {%include "parts/checking-message.html" %}
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="tab-pane fade" id="link-tubes-libraries" role="tabpanel" aria-labelledby="nav-link-tubes-libraries">
    <div id="error-library-link-message">
      {%include "parts/checking-message.html" %}
    </div>
    <table id="sequencing-information-table" class="table table-striped table-bordered" width="100%" cellspacing="0">
      <thead>
          <tr>
              <th><input type="checkbox" id="select_all" name="select_invoice" checked="checked"></th>
              <th>library name</th>
              <th>tube name</th>
          </tr>
      </thead>
    </table>
  </div>
</div>
